Subject: question about pipes
From: [email-masked] (Magossa'nyi A'rpa'd)

19 Dec 1997 03:01:12 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=ISO-8859-2
Content-Transfer-Encoding: 8bit
To: [email-masked]

Hi!

I am now porting scp to win32, using the crosscompiler on a  Debian GNU/Linux
host.
The cygwin32 version is 17.1-1
I am using the initial source of [email-masked]
The ssh runs nearly well, but looks like it is unable to handle filenames
properly.
My problem at this point with the handling of pipes.
scp works like this:
It opens two pipes, forks, the child exec()s ssh with the proper arguments,
and the child and the parent tries to communicate through the pipes.
It seems that the data stuck in the pipe, and it causes a deadlock.
If I modify the source to write() into the pipe in the child, and
immediately close it, the parent gets the data, and the child complains
because it cannot write() into the closed file descriptor.
But if I didn't screw it up, the parent seems to hang on the first read().

Anyone have any idea about it?

---
GNU GPL: csak tiszta forrásból

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".